org.jgroups.debug

## Class Profiler

- java.lang.Object
- - org.jgroups.debug.Profiler

-     public class Profiler
      extends java.lang.Object

  Allows to time execution of 'named' statements, counts number of times called and total execution time.
  Author:
    Bela Ban

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `Profiler.Entry`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Profiler()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static void` | `dump()`
    `static void` | `main(java.lang.String[] args)`
    `static void` | `setFilename(java.lang.String filename)`
    `static void` | `start(java.lang.String call_name)`
    `static void` | `stop(java.lang.String call_name)`
    `static double` | `trim(double inp)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Profiler

          public Profiler()

  - ### Method Detail

    - #### setFilename

          public static void setFilename(java.lang.String filename)

    - #### start

          public static void start(java.lang.String call_name)

    - #### stop

          public static void stop(java.lang.String call_name)

    - #### dump

          public static void dump()

    - #### trim

          public static double trim(double inp)

    - #### main

          public static void main(java.lang.String[] args)

Copyright © 1998-2009 Bela Ban / Red Hat. All Rights Reserved.